%define name kfilm
%define version 0.0.2
%define release %mkrel 1
%define __libtoolize /bin/true
%define __cputoolize /bin/true

%define lib_name_orig %mklibname %name
%define lib_major 0
%define lib_name %lib_name_orig%lib_major


Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   Kde non-linear Video Editor
License:   GPL
URL:       http://kfilm.sourceforge.net/
Group:     Video
Source:    %{name}-%{version}.tar.bz2
Source10:  %{name}-16.png
Source11:  %{name}-32.png
Source12:  %{name}-48.png
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2
BuildRequires: libsamplerate-devel libSDL
Requires: %lib_name = %version
Requires: ffmpeg

%description
KDE non linear video editor
to cut and create many formats and files

%package -n %lib_name
Summary: Headers files for %name
Group: Video
Requires: %{name} = %{version}

%description -n %lib_name
Headers files for %name.

%prep
rm -rf %buildroot

%setup -n %{name}-%{version}
%make -f Makefile.cvs

%build
# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath --with-xinerama



%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}
%{makeinstall_std}

#menus
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png
perl -pi -e "s|Name=kfilm|Name=Kfilm|" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop
kdedesktop2mdkmenu.pl %name "Multimedia/Video" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%name

%find_lang %name


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/%{name}
%_menudir/%{name}
%_datadir/applnk/Utilities/%name.desktop
%_datadir/apps/%name/kfilmui.rc
%_docdir/HTML/en/%name/*
%_iconsdir/hicolor/*/apps/%name.png
%_iconsdir/%name.png
%_iconsdir/%name/kfilm_previewicon1.png
%_iconsdir/%name/kfilm_previewicon2.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_datadir/locale/de/LC_MESSAGES/%name.mo
%_datadir/applnk/Utilities/%name.desktop
%_datadir/apps/%name/kfilmui.rc

%files -n %lib_name
%defattr(-,root,root)
%_libdir/%name/lib2drotate.la
%_libdir/%name/lib2drotate.so
%_libdir/%name/lib2drotate.so.*
%_libdir/%name/libcircle.la
%_libdir/%name/libcircle.so
%_libdir/%name/libcircle.so.*
%_libdir/%name/liblevel.la
%_libdir/%name/liblevel.so
%_libdir/%name/liblevel.so.*
%_libdir/%name/libmoveup.la
%_libdir/%name/libmoveup.so
%_libdir/%name/libmoveup.so.*
%_libdir/%name/libside.la
%_libdir/%name/libside.so
%_libdir/%name/libside.so.*
%_libdir/%name/libsmooth.la
%_libdir/%name/libsmooth.so
%_libdir/%name/libsmooth.so.*

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%changelog
* Fri Jun 17 2005 Sebastien Savarin <plouf@mandriva.org> 0.0.2-1mdk
- First Mandriva Linux release
